 /* --------------------
 * Name: Add Listing Page
 * Desc: Add listing form, its layout and stuff
 * Created: 14.02.2026
 * Last Edited: 25.02.2026
 * --------------------
 */
 #geodirectory-add-post{
    display: grid;
	overflow: hidden;
	grid-template-columns: 50% 50%;
	grid-template-rows: 
		90px 	/*0 title title*/
		270px 	/*1 desc desc*/
		50px 	/*2 price category*/
		260px 	/*3 add_info add_info*/
		55px 	/*4 photos phone*/
		55px 	/*5 photos email*/
		55px 	/*6 photos street*/
		55px 	/*7 photos city*/
		55px 	/*8 attributes region*/
		160px 	/*9 attributes zip*/
		450px 	/*10 map map*/
		80px;	/*11 submit submit*/
	grid-template-areas:
	    "title title" 		/*0*/
	    "desc desc"			/*1*/
	    "price category"	/*2*/
	    "add_info add_info"	/*3*/
	    "photos phone"		/*4*/
	    "photos email"		/*5*/
	    "photos street"		/*6*/
	    "photos city"		/*7*/
	    "attributes region"	/*8*/
	    "attributes zip"	/*9*/
	    "map map"			/*10*/
	    "submit submit"		/*11*/
	;
	gap: 20px;
}

[data-argument="address_country"]{
	display: none !important;
}

#geodir_fieldset_details{
	display: none !important;
}

[data-argument="post_title"]{
	grid-area: title;
	flex-direction: row !important;
}

[data-argument="post_content"]{
	grid-area: desc;
	flex-direction: row !important;
}

[data-argument="price"]{
	grid-area: price;
	width: 50%;
}

[data-argument="price_for"]{
	grid-area: price;
	width: 65%;
	padding-right: 170px;
	justify-self:right;
}

[data-argument="gd_placecategory"]{
	grid-area: category;
}

[data-argument="miejsce_dostpnoci"]{
	grid-area: add_info;
	flex-direction: row !important;
}

#post_images_row{
	grid-area: photos;
	flex-direction: row !important;
}

.geodir-add-files{
	height: 330px;
	max-height: 70%;
}

#cechy_row{
	grid-area: attributes;
	margin-top: 40px;
}

[data-argument="phone"]{
	grid-area: phone;
}

[data-argument="e_mail"]{
	grid-area: email;
}

[data-argument="address_street"]{
	grid-area: street;
}

[data-argument="address_region"]{
	grid-area: region;
}

[data-argument="address_city"]{
	grid-area: city;
}

#geodir_address_map_row{
	grid-area: map;
}

[data-argument="address_zip"]{
	grid-area: zip;
}

#geodir-add-listing-submit{
	grid-area: submit;
}

.form-text{
    line-height: 1.5em;
    max-height: 3em;
    overflow: hidden;
}

label{
	font-weight: 500;
    white-space: nowrap;
  	overflow: hidden;
 	text-overflow: ellipsis;
}

[data-argument="post_title"] > label,
[data-argument="miejsce_dostpnoci"] > label,
[data-argument="post_content"] > label,
#post_images_row > label,
#cechy_row > label,
#post_images_row > div,
#cechy_row > div,
#address_set_address_button,
#geodir-add-listing-submit,
#geodir_address_map_row .mb-3 ,
#geodir-add-listing-submit button{
    width: 100% !important;
    max-width: 100% !important;
}

[data-argument="post_title"] > div,
[data-argument="post_content"] > div,
[data-argument="miejsce_dostpnoci"] > div{
	width: 98% !important;
	max-width: 98% !important;
}

[data-argument="gd_placecategory"] > div,
[data-argument="phone"] > div,
[data-argument="e_mail"] > div,
[data-argument="address_street"] > div,
[data-argument="address_region"] > div,
[data-argument="address_city"] > div,
[data-argument="address_zip"] > div{
	width: 96% !important;
}

.btn-primary:hover{
    background: #338462 !important;
}

#geodir_address_map_row .mb-3,
#geodir-add-listing-submit{
    justify-content: center;
}

/*Hidden Labels*/
label[for="price"], 
     [for="price_for"], 
     [for="cat_limit"],
     [for="phone"],
     [for="e_mail"],
     [for="address_street"], 
     [for="address_region"],
     [for="address_city"],
     [for="address_zip"]{
	display: none !important;
}

/*Bolded Labels*/
label[for="post_title"], 
     [for="post_content"], 
     [for="miejsce_dostpnoci"],
     [for="post_images"],
     [for="cechy"]{
	font-weight: bold !important;
}

/*Hidden Stuff*/
.geodir_preview_button{
    display: none !important;
}
#geodir_address_map_row .col-form-label,
#geodir-add-listing-submit .col-form-label{
    display: none !important;
}

#cechy_row .col-sm-10 > div:last-child {
	padding-top: 0px;
	border: 0px !important;
	overflow: hidden !important;
}
